Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.metadata.portlet
Class MarkupAttribute.Type

    java.lang.Object
      org.jboss.portal.core.metadata.portlet.MarkupAttribute.Type

Enclosing class:
  MarkupAttribute

    public abstract static class MarkupAttribute.Type

extends java.lang.Object

The type of the attribute value.

Field Summary
`static MarkupAttribute.Type` | `CDATA` CDATA is a sequence of characters from the document character set and may include character entities.
`static MarkupAttribute.Type` | `CONTENT_TYPE` %ContentType required : CDATA -- media type, as per [RFC2045].
`static MarkupAttribute.Type` | `HREF` %URI : CDATA -- a Uniform Resource Identifier, see [URI].
`static MarkupAttribute.Type` | `LINK_TYPES` %LinkTypes : CDATA -- space-separated list of link types.
`static MarkupAttribute.Type` | `MEDIA_DESC` %MediaDesc : CDATA -- single or comma-separated list of media descriptors.
`static MarkupAttribute.Type` | `NAME` NAME tokens must begin with a letter ([A-Za-z]) and may be followed by any number of letters, digits ([0-9]), hyphens ("-"), underscores ("_"), colons (":"), and periods (".").
`static MarkupAttribute.Type` | `TEXT` %Text : CDATA : CDATA.
`static MarkupAttribute.Type` | `URI` %URI : CDATA -- a Uniform Resource Identifier, see [URI].

Constructor Summary
`MarkupAttribute.Type()`

Method Summary
`abstract void` | `encode(java.lang.String string, java.io.Writer writer)` Encode the string in the proper format according to the type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CDATA

    public static final MarkupAttribute.Type CDATA

  CDATA is a sequence of characters from the document character set and may include character entities. User agents should interpret attribute values as follows:
  - Replace character entities with characters,
  - Ignore line feeds,
  - Replace each carriage return or tab with a single space.

### NAME

    public static final MarkupAttribute.Type NAME

  NAME tokens must begin with a letter ([A-Za-z]) and may be followed by any number of letters, digits ([0-9]), hyphens ("-"), underscores ("_"), colons (":"), and periods (".").

### CONTENT_TYPE

    public static final MarkupAttribute.Type CONTENT_TYPE

  %ContentType required : CDATA -- media type, as per [RFC2045].

### URI

    public static final MarkupAttribute.Type URI

  %URI : CDATA -- a Uniform Resource Identifier, see [URI].

### LINK_TYPES

    public static final MarkupAttribute.Type LINK_TYPES

  %LinkTypes : CDATA -- space-separated list of link types.

### TEXT

    public static final MarkupAttribute.Type TEXT

  %Text : CDATA : CDATA.

### MEDIA_DESC

    public static final MarkupAttribute.Type MEDIA_DESC

  %MediaDesc : CDATA -- single or comma-separated list of media descriptors.

### HREF

    public static final MarkupAttribute.Type HREF

  %URI : CDATA -- a Uniform Resource Identifier, see [URI].

Constructor Detail

### MarkupAttribute.Type

    public MarkupAttribute.Type()

Method Detail

### encode

    public abstract void encode(java.lang.String string,
                                java.io.Writer writer)
                         throws org.jboss.portal.common.io.UndeclaredIOException

  Encode the string in the proper format according to the type.

  Parameters:
    `string` - the string to encode
  Throws:
    `org.jboss.portal.common.io.UndeclaredIOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD